# OD-Surveys

>**IMPORTANT MESSAGE:**  Require pre-installation of rails  

This is a gem that allow generate survey models using pre existing models. This models are 
```ruby
models
├── answer_choice.rb
├── answer.rb
├── choice.rb
├── question.rb
├── survey.rb
└── survey_response.rb
```
In addition, it allows generating and running the corresponding migrations:
```ruby
db
└── migrate
    ├── 20180523221331_create_surveys.rb
    ├── 20180523221722_create_choices.rb
    ├── 20180523222506_create_questions.rb
    ├── 20180523222646_create_answers.rb
    ├── 20180608225714_create_survey_responses.rb
    ├── 20180608230124_add_survey_respose_to_answer.rb
    └── 20180611182929_create_answer_choices.rb

```
This files are copied to  `"./app/models"` and `"./db/migrate"` respectively

<br>


# Installation

Add this line to your application's Gemfile:

```ruby
gem 'od-surveys'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install od-surveys
<br>

# Usage

To use this gem run:

```ruby
od-surveys models
```
```ruby
od-surveys migrations
```

<br>

# Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

<br>

# Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/onwarddev/od-surveys. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [code of conduct](https://github.com/onwarddev/od-surveys/blob/master/CODE_OF_CONDUCT.md).

<br>

# License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

<br>

# Code of Conduct

Everyone interacting in the ODSurveys project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/onwarddev/od-surveys/blob/master/CODE_OF_CONDUCT.md).
